<?
include 'mysql.php';
Error_Reporting(E_ALL & ~E_NOTICE);
$ref=rand(100,10000000);

$_title = 'Linewap2';
include 'include/zag2.php';
include 'include/ini.php';
$log = htmlspecialchars(stripslashes($log));
$pas = htmlspecialchars(stripslashes($pas));
/////////////////////////////////////////////////////
$text = @file("MySql/base123/reg/$log.dat");
if ($text!=""){
$udata = explode(":||:",$text[0]);
$login=trim($udata[0]);
$password=trim($udata[1]);}
////////////////////////////////////////////////////////
include_once("include/sesi.php");
if (isset($user)) {
include_once("include/udata.php");
$admin=mysql_query("SELECT * FROM `table_admin` WHERE `nick`='$log' LIMIT 1");
if(mysql_num_rows($admin)==1){


switch($go) {

default:
echo'
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8"/><meta forua="true" http-equiv="Cache-Control" content="no-cache,no-store,must-revalidate"/><title>Lineage2</title></head>
<link rel="stylesheet" href="img/style.css" type="text/css" />
';
echo"Здравствуйте <b>Администратор</b> $log";
echo"<br/>- - -<br/>Операции с пользователями:<br/>
[<a href=\"admin.php?$sd&go=izmenit\">Редактировать игрока</a>]<br/>
[<a href=\"admin.php?$sd&go=ban\">Список забаненных</a>]";
echo"<br/>[<a href=\"admin.php?$sd&go=delblock\">Список заблокированых</a>]";
echo"<br/>[<a href=\"admin.php?$sd&go=keys\">Список не активированых</a>]";
echo"<br/>[<a href=\"admin.php?$sd&go=block\">Дать блок</a>]";
echo"<br/>[<a href=\"admin.php?$sd&go=bannick\">Дать бан</a>]";
echo"<br/>[<a href=\"admin.php?$sd&go=anket\">Редактировать анкеты игроков</a>]";
echo"<br/>[<a href=\"admin.php?$sd&go=medal\">Дать медаль</a>]";
echo"<br/>[<a href=\"admin.php?$sd&go=sendopen\">Открыть почту игрока</a>]";
echo"<br/>[<a href=\"admin.php?$sd&go=viewm\">Читать почту</a>]";
echo"<br/>[<a href=\"admin.php?$sd&go=delbrak\">Развести брак</a>]";
echo"<br/>Управление общением:<br/>[<a href=\"admin.php?$sd&go=chat\">Управление чатом</a>]";
echo"<br/>[<a href=\"admin.php?$sd&go=tradechat\">Управление торговым чатом</a>]";
echo"<br/>[<a href=\"admin.php?$sd&go=moderchat\">Модер чат</a>]";
echo"<br/>[<a href=\"admin.php?$sd&go=chatonoff\">Чат Вкл-Вык</a>]";
echo"<br/>[<a href=\"admin.php?$sd&go=po4ta\">Зделать полную очистку почты</a>]";
echo"<br/>[<a href=\"admin.php?$sd&go=delmsgchat\">Зделать полную очистку чата</a>]";
echo"<br/>[<a href=\"admin.php?$sd&go=tradedelmsgchat\">Зделать полную очистку торгового чата</a>]";
echo"<br/>Кланы/Альянсы<br/>[<a href=\"moder.php?$sd&go=ali\">Удалить альянс</a>]";
echo"<br/>[<a href=\"admin.php?$sd&go=stat\">Изменить звание главы клана</a>]";
echo"<br/>Другое:<br/>[<a href=\"admin.php?$sd&go=news\">Разместить новость</a>]";
echo"<br/>[<a href=\"admin.php?$sd&go=event\">Создать евент</a>]";
echo"<br/>[<a href=\"admin.php?$sd&go=failuzer\">Кто в каком файле</a>]";
echo"<br/>[<a href=\"admin.php?$sd&go=helpcenter\">Центр помощи</a>]";
echo"<br/>[<a href=\"admin.php?$sd&go=personal\">Админы/Модеры/Консультанты</a>]";
if($log==avatorka){
echo"<br/>[<a href=\"admin.php?$sd&go=vip\">Дать VIP акаунт</a>]";}
echo"<br/>[<a href=\"admin.php?$sd&go=podarok\">Подарить адены</a>]";
echo"<br/>[<a href=\"admin.php?$sd&go=podarokcol\">Подарить Coin of Luck</a>]</small>";
echo"<br/>Логи переводов</a>";
echo"<br/>[<a href=\"sendaden.php?$sd&go=logs\">Лог переводов Аден</a>]</small>";
echo"<br/>[<a href=\"sendcol.php?$sd&go=logs\">Лог переводов Сoin of Luck</a>]</small>";
break;
case 'ban':

echo"<b>Нажав на ник вы разбаните его!</b><br/>";

$file = file("MySql/base123/ban.dat");
$total = count($file);

for ($i = 0; $i < $total; $i++){
$data = explode("||",$file[$i]);

$time=time()-86400;

if($data[1]>$time){

$data_name[]=$data[2];
$data_id[]=$i;
}}

if(empty($data_name)){echo"Забаненых нет.";
include 'include/down.php';exit;}

foreach($data_name as $k=>$v)
{
$dat_screen[]="[<a href=\"admin.php?$sd&name=$data_name[$k]&id=$data_id[$k]&go=delban\">$data_name[$k]</a>]<br/>";
}


$total = count($dat_screen);


if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + 10){ $end = $total; }
else {$end = $start + 10; }
for ($i = $start; $i < $end; $i++){

echo"$dat_screen[$i]";

}


if ($start !== 0) {echo '[<a href="admin.php?start='.($start - 10).'&'.$sd.'&go=ban">Назад</a>]';}
if ($total > $start + 10) {echo '[<a href="admin.php?start='.($start + 10).'&'.$sd.'&go=ban">Далее</a>]';}


break;
case 'delban':
$file = file("MySql/base123/ban.dat");
$fp=fopen("MySql/base123/ban.dat","w");
flock ($fp,LOCK_EX);
unset($file[$id]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);
echo"Разбанен.<br/>[<a href=\"admin.php?$sd\">в админку</a>]";

break;
case 'news':
echo "<form action=\"admin.php?$sd&go=addnews\" method=\"post\"><small>Заголовок:</small><br/>";
echo "<input name=\"zag\" maxlength=\"100\" title=\"zag\"/><br/>";
echo "<small>Новость:</small><br/>";
echo "<input name=\"msg\" maxlength=\"999\" title=\"msg\"/><br/>";
echo '<input type="submit" value="OK" /></form>';
break;

case 'addnews':

$date=date("d.m.y");
$time=date("H:i:s");


$tex="$zag||$date/$time||$msg<br/><b>Разместил:</b> <font color=\"#ADFF2F\">$log</font><br/>Должность: Администратор";

$fp=@fopen("MySql/base123/novs.dat","a+");
flock ($fp,LOCK_EX);
fputs($fp,"$tex\r\n");
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);
echo"Новость успешно создана.<br/>
<b>Заголовок:</b><br/>
$zag<br/>
<b>Новость:</b><br/>
$msg<br/>
<b>Дата:</b><br/>
$date/$time
";
break;
case 'block':
echo "<form action=\"admin.php?$sd&go=profilsave\" method=\"post\">";
echo "Введите ник игрока:<br/>";
echo "<input name=\"login\" maxlength=\"50\" title=\"nick\"/><br/>";
echo "Причина блока:<br/>";
echo "<input name=\"klass\" maxlength=\"300\"/><br/>";
echo '<input type="hidden" value="'.$logi.'">';
echo '<input type="submit" value="Заблокировать"/></form>';
break;

case 'profilsave':
$login=$_POST['login'];
$klass=$_POST['klass'];
if(!@file("MySql/base123/reg/$uzer.dat")){echo"Такого игрока нету в базе данных!"; include_once"include/down.php"; exit; }
$msg="$login заблокирован! Администратором: $log. Причина: $klass ";


$msg=htmlspecialchars(stripslashes($msg));
$msg=str_replace("#","",$msg);

$date=date("d.m.y");
$time=date("H:i");


$text="($time)<br/><b><u>$msg</u></b>#[Система]#Nokia8800#127.0.0.1#$date#$time";
$text=str_replace("\r\n", "", $text);


$fp=fopen("MySql/base123/chat.dat","a+");
flock ($fp,LOCK_EX);
fputs($fp,"$text\r\n");
flock ($fp,LOCK_UN);
fclose($fp);
$query = "INSERT INTO table_block VALUES('$login','$klass')"; $result = mysql_query($query);
echo"Игрок успешно заблокирован.<br>
Ник заблокированого игрока: $login<br/>
Причина блока: $klass";
break;
case 'moderchat':
if(empty($udata[35])){$udata[35]="5";}
$file = @file("MySql/base123/chatmsg.dat");
$total = count($file);
if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + $udata[35]){ $end = $total; }
else {$end = $start + $udata[35]; }
for ($i = $start; $i < $end; $i++){

$file = @file("MySql/base123/chatmsg.dat");
$file = array_reverse($file);
$data = explode("#",$file[$i]);
$i2=round($i+1);


if(!empty($data[1])){
echo"<a href=\"search.php?$sd&go=go&nick=$data[1]\">$data[1]</a>|<a href=\"admin.php?$sd&go=modersay&nick=$data[1]\">Ответ</a>
</small> - <small>$data[0]<br/>[$data[2]/$data[3]]</small><br/>";}
}
echo "<form action=\"admin.php?$sd&go=moderchatadd\" method=\"post\"><br/><b>= = = =</b>";
echo "<br/><input name=\"msg\" maxlength=\"999\" title=\"msg\"/><br/>";
echo '<input type="submit" value="Написать" /></form>';
if ($start != 0) {echo '<small>[<a href="admin.php?start='.($start - $udata[35]).'&'.$sd.'&go=moderchat">Назад</a>] ';}else{echo'= = = =<br/>';}

if ($total > $start + $udata[35]) {echo ' [<a href="admin.php?start='.($start + $udata[35]).'&'.$sd.'&go=moderchat">Далее</a>]';}

echo"<br/>[<a href=\"admin.php?$sd&go=moderchat&ref=$ref\">Обновить</a>]<br/>";
break;

case 'moderchatadd':

if(getenv("HTTP_X_FORWARDED_FOR")){ $ip = getenv("HTTP_X_FORWARDED_FOR"); }else{
if(getenv("REMOTE_ADDR")) $ip = getenv("REMOTE_ADDR");}
$ip=htmlspecialchars(stripslashes($ip));
$brow=htmlspecialchars(stripslashes(getenv('HTTP_USER_AGENT')));
$brow=strtok($brow,'/');

$brow=str_replace("#","",$brow);
$ip=str_replace("#","",$ip);

$msg=htmlspecialchars(stripslashes($msg));
$msg=str_replace("#","",$msg);

$date=date("d.m.y");
$time=date("H:i");


$text="[$date/$time]$msg#$log#Администратор#Администратор#";
$text=str_replace("\r\n", "", $text);


$fp=fopen("MySql/base123/chatmsg.dat","a+");
flock ($fp,LOCK_EX);
fputs($fp,"$text\r\n");
flock ($fp,LOCK_UN);
fclose($fp);



$file=file("MySql/base123/chatmsg.dat"); $i = count($file);
if ($i>=1000) {
$fp=fopen("MySql/base123/chatmsg.dat","w");
flock ($fp,LOCK_EX);
unset($file[0]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);
}



echo"Сообщение успешно добавлено<br/>[<a href=\"admin.php?$sd&go=moderchat\">Продолжить!</a>]<br/>";
break;

break;
case 'delblock':
///////////////////////////////////////
echo'Список заблокированых<br/>';
$data = mysql_query("SELECT * FROM table_block");
while($dat = mysql_fetch_array( $data ))
{
echo"Ник: <b>".$dat['nick']."</b><br/>Причина: ".$dat['pricina']."<br/>[<a href=\"admin.php?$sd&go=reblock&nick=".$dat['nick']."\">Разблочить</a>]<br/><br/>";
}
break;

case 'reblock':
mysql_query("DELETE FROM `table_block` WHERE `nick`='".$nick."'");
echo"Игрок $nick успешно разблокирован.";
break;
case 'anket':
#---------------------#
$duuu=opendir("local/dataanket");
$all = 0;
while(($k=readdir($duuu))!==false){
if ($k=='.'||$k=='..'||$k=='.htaccess'||$k=='index.php') continue; $all++;} closedir($duuu);
#---------------------#
echo'Анкеты игроков<br/>';
$dir = opendir ("local/dataanket");
while ($file = readdir ($dir))
{
if (( $file != ".") and ($file != ".."))
{
$id=str_replace(".dat","",$file);
$text = @file("local/dataanket/$file");
$data = explode("||",$text[0]);
echo '[<a href="admin.php?'.$sd.'&go=editanket&id='.$id.'">'.$data[0].' '.$data[1].'</a>] [<b>'.$id.'</b>] '.$data[5].'<br/>';
}}
echo'Всего анкет '.$all.'';
break;

case 'editanket':
$vfile = @file("local/dataanket/$id.dat");
$value = explode("||",$vfile[0]);
////////////////////////////// REG INPUT /////////////////////////////
echo'Анкета игрока '.$id.'<br/>';
echo '<form method="post" action="admin.php?'.$sd.'&go=saveanket&id='.$id.'">';
echo 'Имя:<br/><input type="log" name="name" maxlength="25" value="'.$value[0].'" /><br/>';
echo 'Фамилия:<br/><input type="log" name="lastname" maxlength="25" value="'.$value[1].'" /><br/>';
echo 'День:<br/><select id="select" name="day" type="select">
<option value="1">1</option>
<option value="2">2</option>
<option value="3">3</option>
<option value="4">4</option>
<option value="5">5</option>
<option value="6">6</option>
<option value="7">7</option>
<option value="8">8</option>
<option value="9">9</option>
<option value="10">10</option>
<option value="11">11</option>
<option value="12">12</option>
<option value="13">13</option>
<option value="14">14</option>
<option value="15">15</option>
<option value="16">16</option>
<option value="17">17</option>
<option value="18">18</option>
<option value="19">19</option>
<option value="20">20</option>
<option value="21">21</option>
<option value="22">22</option>
<option value="23">23</option>
<option value="24">24</option>
<option value="25">25</option>
<option value="26">26</option>
<option value="27">27</option>
<option value="28">28</option>
<option value="29">29</option>
<option value="30">30</option>
<option value="31">31</option>
</select><br/>';
echo 'Месяц:<br/>
<select id="select" name="month" type="select">
<option value="Января">Январь</option>
<option value="Февраля">Февраль</option>
<option value="Марта">Март</option>
<option value="Апреля">Апрель</option>
<option value="Мая">Май</option>
<option value="Июня">Июнь</option>
<option value="Июля">Июль</option>
<option value="Августа">Август</option>
<option value="Сентябрь">Сентябрь</option>
<option value="Октября">Октябрь</option>
<option value="Ноября">Ноябрь</option>
<option value="Декабря">Декабрь</option>
</select><br/>';
echo 'Год:<br/><input type="log" name="year" maxlength="4" value="'.$value[4].'" /><br/>';
echo 'Город:<br/><input type="log" name="gorod" maxlength="30" value="'.$value[5].'" /><br/>';
echo 'Сайт(без http://):<br/><input type="log" name="site" maxlength="35" value="'.$value[8].'" /><br/>';
echo 'ICQ:<br/><input type="log" name="icq" maxlength="9" value="'.$value[6].'" /><br/>';
echo 'Номер телефона(+3..):<br/><input type="log" name="number" maxlength="13" value="'.$value[11].'" /><br/>';
echo 'Оператор:<br/><input type="log" name="opsos" maxlength="20" value="'.$value[9].'" /><br/>';
echo 'Модель телефона:<br/><input type="log" name="model" maxlength="25" value="'.$value[7].'" /><br/>';
echo 'О себе:<br/><input type="log" name="about" maxlength="250" value="'.$value[10].'" /><br/>';
echo '<br /><input class="button" type="submit" value="Отправить"/>';
echo '<postfield name="name" value="$(name)"/>';
echo '<postfield name="lastname" value="$(lastname)"/>';
echo '<postfield name="day" value="$(day)"/>';
echo '<postfield name="month" value="$(month)"/>';
echo '<postfield name="year" value="$(year)"/>';
echo '<postfield name="gorod" value="$(gorod)"/>';
echo '<postfield name="number" value="$(number)"/>';
echo '<postfield name="model" value="$(model)"/>';
echo '<postfield name="site" value="$(site)"/>';
echo '<postfield name="icq" value="$(icq)"/>';
echo '<postfield name="opsos" value="$(opsos)"/>';
echo '<postfield name="about" value="$(about)"/></form></div>';
break;

case 'saveanket' :
include_once("include/functions.php");
$name=check($name);
$lastname=check($lastname);
$day=check($day);
$month=check($month);
$year=check($year);
$gorod=check($gorod);
$icq=check($icq);
$model=check($model);
$site=check($site);
$opsos=check($opsos);
$number=check($number);
$about=check($about);
$text=$name.'||'.$lastname.'||'.$day.'||'.$month.'||'.$year.'||'.$gorod.'||'.$icq.'||'.$model.'||'.$site.'||'.$opsos.'||'.$about.'||'.$number.'||0||';
/////////////////////////////// write anketa ////////
$fp=fopen("local/dataanket/$id.dat","w");
flock($fp,LOCK_EX);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
////////////////////////////// send message /////////
$data=date("d F, Y", time());
$time=date("H:i:s", time());
$data = str_replace("January","января",$data);
$data = str_replace("February","февраля",$data);
$data = str_replace("March","марта",$data);
$data = str_replace("April","апреля",$data);
$data = str_replace("May","мая",$data);
$data = str_replace("June","июня",$data);
$data = str_replace("July","июля",$data);
$data = str_replace("August","августа",$data);
$data = str_replace("September","сентября",$data);
$data = str_replace("October","октября",$data);
$data = str_replace("November","ноября",$data);
$data = str_replace("December","декабря",$data);
$fal = @file("MySql/base123/reg/$id.dat");
$udata = explode(":||:",$fal[0]);
$udata[22]=trim($udata[22]+1);
$textus=$udata[0].':||:'.$udata[1].':||:'.$udata[2].':||:'.$udata[3].':||:'.$udata[4].':||:'.$udata[5].':||:'.$udata[6].':||:'.$udata[7].':||:'.$udata[8].':||:'.$udata[9].':||:'.$udata[10].':||:'.$udata[11].':||:'.$udata[12].':||:'.$udata[13].':||:'.$udata[14].':||:'.$udata[15].':||:'.$udata[16].':||:'.$udata[17].':||:'.$udata[18].':||:'.$udata[19].':||:'.$udata[20].':||:'.$udata[21].':||:'.$udata[22].':||:'.$udata[23].':||:'.$udata[24].':||:'.$udata[25].':||:'.$udata[26].':||:'.$udata[27].':||:'.$udata[28].':||:'.$udata[29].':||:'.$udata[30].':||:'.$udata[31].':||:'.$udata[32].':||:'.$udata[33].':||:'.$udata[34].':||:'.$udata[35].':||:'.$udata[36].':||:'.$udata[37].':||:'.$udata[38].':||:'.$udata[39].':||:'.$udata[40].':||:'.$udata[41].':||:'.$udata[42].':||:'.$udata[43].':||:'.$udata[44].':||:'.$udata[45].':||:'.$udata[46].':||:'.$udata[47].':||:'.$udata[48].':||:'.$udata[49].':||:'.$udata[50].':||:'.$udata[51].':||:'.$udata[52].':||:'.$udata[53].':||:'.$udata[54].':||:'.$udata[55].':||:'.$udata[56].':||:'.$udata[57].':||:'.$udata[58].':||:'.$udata[59].':||:'.$udata[60].':||:'.$udata[61].':||:'.$udata[62].':||:'.$udata[63].':||:'.$udata[64].':||:'.$udata[65].':||:'.$udata[66].':||:'.$udata[67].':||:'.$udata[68].':||:'.$udata[69].':||:'.$udata[70].':||:'.$udata[71].':||:'.$udata[72].':||:'.$udata[73].':||:'.$udata[74].':||:'.$udata[75].':||:'.$udata[76].':||:'.$udata[77].':||:'.$udata[78].':||:'.$udata[79].':||:'.$udata[80].':||:'.$udata[81].':||:'.$udata[82].':||:'.$udata[83].':||:'.$udata[84].':||:'.$udata[85].':||:'.$udata[86].':||:'.$udata[87].':||:'.$udata[88].':||:'.$udata[89].':||:'.$udata[90].':||:'.$udata[91].':||:'.$udata[92].':||:'.$udata[93].':||:'.$udata[94].':||:'.$udata[95].':||:'.$udata[96].':||:'.$udata[97].':||:'.$udata[98].':||:'.$udata[99].':||:'.$udata[100].':||:';
$fp=fopen("MySql/base123/reg/$id.dat","a+");
flock ($fp,LOCK_EX);
ftruncate ($fp,0);
fputs($fp,"$textus");
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);
$message="Ваша анкета была изменена Администратором $log!";
$message=base64_encode($message);
$pozdr=":::Система|".$message."|".$data;
$fp=fopen("MySql/base123/msg/$id.msg","a+");
flock($fp,LOCK_EX);
fputs($fp,"$pozdr \r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
echo'Результат редактирования';
echo'Анкета игрока '.$id.' обновлена!<br />Ему отослано уведомление о изменении.<br/><a href="admin.php?'.$sd.'&go=anket">Назад к анкетам</a><br/>';
break;
case 'chatonoff':
echo"<small>[<a href=\"admin.php?$sd&go=on\">Включить чат</a>]";
echo"<br/>[<a href=\"admin.php?$sd&go=off\">Выключить чат</a>]</small>";

break;

case 'on':

$fp=fopen("MySql/base123/config.dat","w");
flock($fp,LOCK_EX);
fputs($fp,"on||");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

echo"Чат включен<br/>[<a href=\"admin.php?$sd\">Продолжить!</a>]";

break;

case 'off':

$fp=fopen("MySql/base123/config.dat","w");
flock($fp,LOCK_EX);
fputs($fp,"off||");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

echo"Чат выключен<br/>[<a href=\"admin.php?$sd\">Продолжить!</a>]";

break;

case 'chat':

if(empty($udata[35])){$udata[35]="5";}
$file = @file("MySql/base123/chat.dat");
$total = count($file);
if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + $udata[35]){ $end = $total; }
else {$end = $start + $udata[35]; }
for ($i = $start; $i < $end; $i++){
$file = @file("MySql/base123/chat.dat");
$file = array_reverse($file);
$data = explode("#",$file[$i]);
$i2=round($i+1);

$data[6]=str_replace("\r\n", "", $data[6]);


if(!empty($data[1])){
echo"<b>[<a href=\"admin.php?$sd&go=del&id=$i\">DEL</a>][<a href=\"admin.php?$sd&go=ip&name=$data[1]\">БАН</a>] [<a href=\"admin.php?$sd&go=pr&name=$data[1]\">Придупредить</a>]</b> [<a href=\"search.php?$sd&go=go&nick=$data[1]\">$data[1]</a>]|[<a href=\"admin.php?$sd&go=say&nick=$data[1]\">Ответ</a>] [$data[5]] - $data[0]<br/>[$data[2]/$data[3]]<br/>";}
}
echo "<form action=\"admin.php?$sd&go=chatadd\" method=\"post\"><b>- - -</b>";
echo "<br/><input name=\"msg\" maxlength=\"500\" title=\"msg\"/><br/><input type=\"hidden\" name=\"self\" value=\"$self\" />";
echo "<input type=\"submit\" value=\"Написать\"/></form>";

if ($start != 0) {echo '[<a href="admin.php?start='.($start - $udata[35]).'&'.$sd.'&go=chat">Назад</a>] ';}else{echo'= = = =<br/>';}

if ($total > $start + $udata[35]) {echo '[<a href="admin.php?start='.($start + $udata[35]).'&'.$sd.'&go=chat">Далее</a>]';}

echo"<br/>[<a href=\"admin.php?$sd&&go=chat&ref=$ref\">Обновить</a>]<br/>";
break;

case 'chatadd':

if(getenv("HTTP_X_FORWARDED_FOR")){ $ip = getenv("HTTP_X_FORWARDED_FOR"); }else{
if(getenv("REMOTE_ADDR")) $ip = getenv("REMOTE_ADDR");}
$ip=htmlspecialchars(stripslashes($ip));
$brow=htmlspecialchars(stripslashes(getenv('HTTP_USER_AGENT')));
$brow=strtok($brow,'/');

$brow=str_replace("#","",$brow);
$ip=str_replace("#","",$ip);

$msg = htmlspecialchars(stripslashes(addslashes($_POST['msg'])));
$msg=str_replace("#","",$msg);

$date=date("d.m.y");
$time=date("H:i:s");


$text="($time)<br/>$msg#$log#$brow#$ip#$date#$time#";
$text=str_replace("\r\n", "", $text);


$fp=fopen("MySql/base123/chat.dat","a+");
flock ($fp,LOCK_EX);
fputs($fp,"$text\r\n");
flock ($fp,LOCK_UN);
fclose($fp);
$file=file("MySql/base123/chat.dat"); $i = count($file);
if ($i>=1000) {
$fp=fopen("MySql/base123/chat.dat","w");
flock ($fp,LOCK_EX);
unset($file[0]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);
}
echo"Сообщение добавлено<br/>[<a href=\"admin.php?$sd&go=chat\">Продолжить!</a>]";
break;

case 'del':

$file = @file("MySql/base123/chat.dat");
$total = count($file);

if($id=="0"){$id=$total-1;}else{$id=$total-$id-1;}

$file=file("MySql/base123/chat.dat");

$fp=fopen("MySql/base123/chat.dat","w");
flock ($fp,LOCK_EX);
for ($i=0;$i< sizeof($file);$i++) { if ($i==$id) {unset($file[$i]);} }

fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);

echo"Удалено<br/>[<a href=\"admin.php?$sd&go=chat\">Продолжить!</a>]<br/>";

break;

case 'pr':

$name=htmlspecialchars(stripslashes($name));

echo "Причина предупреждения:";
echo "<form action=\"admin.php?$sd&go=prchat&name=$name\" method=\"post\"><b>- - -</b>";
echo "<br/><input name=\"prichina\" maxlength=\"500\" title=\"go\"/><br/><input type=\"hidden\" name=\"self\" value=\"$(prichina)\" />";

echo "<input type=\"submit\" value=\"Придупредить\"/></form>";

break;
case 'prtrade':

$name=htmlspecialchars(stripslashes($name));

echo "Причина предупреждения:";
echo "<form action=\"admin.php?$sd&go=prtradechat&name=$name\" method=\"post\"><b><small>- - -</small></b>";
echo "<br/><input name=\"prichina\" maxlength=\"500\" title=\"go\"/><br/><input type=\"hidden\" name=\"self\" value=\"$(prichina)\" />";

echo "<input type=\"submit\" value=\"Предупредить\"/></form>";

break;
case 'ip':

$name=htmlspecialchars(stripslashes($name));

echo "Причина бана по ip:";
echo "<form action=\"admin.php?$sd&go=ipban&name=$name\" method=\"post\"><b><small>- - -</small></b>";
echo "<br/><input name=\"prichina\" maxlength=\"500\" title=\"go\"/><br/><input type=\"hidden\" name=\"self\" value=\"$(prichina)\" />";

echo "<input type=\"submit\" value=\"Забанить\"/></form>";

break;
case 'prtradechat':
echo"$name успешно придуприжден<br/><a href=\"admin.php?log=$log&pas=$pas&go=tradechat\">Продолжить!</a><br/>";

/////////////////////////
//$browe=opera;
//$ipe=127.1.1.1);

$msg="$name вам дал предупреждение Администратор $log. Причина: $prichina";


$msg=htmlspecialchars(stripslashes($msg));
$msg=str_replace("#","",$msg);

$date=date("d.m.y");
$time=date("H:i");


$text="($time)<br/><b><u>$msg</u></b>#[Система]#Nokia8800#127.0.0.1#$date#$time";
$text=str_replace("\r\n", "", $text);


$fp=fopen("MySql/base123/trade.dat","a+");

flock ($fp,LOCK_EX);
fputs($fp,"$text\r\n");
flock ($fp,LOCK_UN);
fclose($fp);
break;
case 'prchat':
echo"$name успешно придуприжден<br/><a href=\"admin.php?$sd&go=chat\">Продолжить!</a><br/>";

/////////////////////////
//$browe=opera;
//$ipe=127.1.1.1);

$msg="$name вам дал предупреждение Администратор $log. Причина: $prichina";

$msg=htmlspecialchars(stripslashes($msg));
$msg=str_replace("#","",$msg);

$date=date("d.m.y");
$time=date("H:i");


$text="($time)<br/><b><u>$msg</u></b>#[Система]#Nokia8800#127.0.0.1#$date#$time";
$text=str_replace("\r\n", "", $text);


$fp=fopen("MySql/base123/chat.dat","a+");

flock ($fp,LOCK_EX);
fputs($fp,"$text\r\n");
flock ($fp,LOCK_UN);
fclose($fp);
break;
case 'ipban':
$name=htmlspecialchars(stripslashes($name));
$file=@file("MySql/base123/chat.dat");
$file = array_reverse($file);

for($i=0; $i<$file; $i++){
$data = explode("#",$file[$i]);

if($name==$data[1]){

$ip=explode(".",$data[3]);
$ipn="$ip[0].$ip[1].$ip[2]";
$time=time();
$prichina=htmlspecialchars(stripslashes($prichina));
$prichina=str_replace("|","",$prichina);
$name=str_replace("|","",$name);

$text="$ipn||$time||$name||$prichina||$data[0]||";

$fp=fopen("MySql/base123/ban.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

echo"$name в игноре на 24 часа<br/><a href=\"admin.php?$sd&go=chat\">Продолжить!</a><br/>";

/////////////////////////
//$browe=opera;
//$ipe=127.1.1.1);

$msg="$name забанен на 24 часа! Администратором: $log. Причина: $prichina ";


$msg=htmlspecialchars(stripslashes($msg));
$msg=str_replace("#","",$msg);

$date=date("d.m.y");
$time=date("H:i");


$text="($time)<br/><b><u>$msg</u></b>#[Система]#Nokia8800#127.0.0.1#$date#$time";
$text=str_replace("\r\n", "", $text);


$fp=fopen("MySql/base123/chat.dat","a+");
flock ($fp,LOCK_EX);
fputs($fp,"$text\r\n");
flock ($fp,LOCK_UN);
fclose($fp);



$file=file("MySql/base123/chat.dat"); $i = count($file);
if ($i>=1000) {
$fp=fopen("MySql/base123/chat.dat","w");
flock ($fp,LOCK_EX);
unset($file[0]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);
}
////////////////////////


exit;}
}
break;

case 'tradechat':

if(empty($udata[35])){$udata[35]="5";}
$file = @file("MySql/base123/trade.dat");
$total = count($file);
if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + $udata[35]){ $end = $total; }
else {$end = $start + $udata[35]; }
for ($i = $start; $i < $end; $i++){

$file = @file("MySql/base123/trade.dat");
$file = array_reverse($file);
$data = explode("#",$file[$i]);
$i2=round($i+1);

$data[6]=str_replace("\r\n", "", $data[6]);


if(!empty($data[1])){
echo"<b>[<a href=\"admin.php?$sd&go=tradedel&id=$i\">DEL</a>][<a href=\"moder.php?$sd&go=tradeip&name=$data[1]\">БАН</a>] [<a href=\"admin.php?log=$log&pas=$pas&go=prtrade&name=$data[1]\">Придупредить</a>]</b> [<a href=\"search.php?$sd&go=go&nick=$data[1]\">$data[1]</a>]|[<a href=\"admin.php?$sd&go=tradesay&nick=$data[1]\">Ответ</a>] [$data[5]] - $data[0]<br/>[$data[2]/$data[3]]<br/>";}
}
echo "<form action=\"admin.php?$sd&go=tradeadd\" method=\"post\"><b><small>- - -</small></b>";
echo "<br/><input name=\"msg\" maxlength=\"500\" title=\"msg\"/><br/><input type=\"hidden\" name=\"self\" value=\"$self\" />";
echo "<input type=\"submit\" value=\"Написать\"/></form>";


if ($start != 0) {echo '[<a href="admin.php?start='.($start - $udata[35]).'&'.$sd.'&go=tradechat">Назад</a>] ';}else{echo'= = = =<br/>';}

if ($total > $start + $udata[35]) {echo '[<a href="admin.php?start='.($start + $udata[35]).'&'.$sd.'&go=tradechat">Далее</a>]';}

echo"<br/>[<a href=\"admin.php?$sd&go=tradechat&ref=$ref\">Обновить</a>]<br/>";
break;
case 'tradeadd':

if(getenv("HTTP_X_FORWARDED_FOR")){ $ip = getenv("HTTP_X_FORWARDED_FOR"); }else{
if(getenv("REMOTE_ADDR")) $ip = getenv("REMOTE_ADDR");}
$ip=htmlspecialchars(stripslashes($ip));
$brow=htmlspecialchars(stripslashes(getenv('HTTP_USER_AGENT')));
$brow=strtok($brow,'/');

$brow=str_replace("#","",$brow);
$ip=str_replace("#","",$ip);

$msg = htmlspecialchars(stripslashes(addslashes($_POST['msg'])));
$msg=str_replace("#","",$msg);

$date=date("d.m.y");
$time=date("H:i:s");


$text="($time)<br/>$msg#$log#$brow#$ip#$date#$time#";
$text=str_replace("\r\n", "", $text);


$fp=fopen("MySql/base123/trade.dat","a+");
flock ($fp,LOCK_EX);
fputs($fp,"$text\r\n");
flock ($fp,LOCK_UN);
fclose($fp);
$file=file("MySql/base123/trade.dat"); $i = count($file);
if ($i>=1000) {
$fp=fopen("MySql/base123/trade.dat","w");
flock ($fp,LOCK_EX);
unset($file[0]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);
}
echo"Сообщение добавлено<br/>[<a href=\"admin.php?$sd&go=tradechat\">Продолжить!</a>]<br/>";
break;

case 'tradedel':

$file = @file("MySql/base123/trade.dat");
$total = count($file);

if($id=="0"){$id=$total-1;}else{$id=$total-$id-1;}

$file=file("MySql/base123/trade.dat");

$fp=fopen("MySql/base123/trade.dat","w");
flock ($fp,LOCK_EX);
for ($i=0;$i< sizeof($file);$i++) { if ($i==$id) {unset($file[$i]);} }
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);

echo"Удалено<br/>[<a href=\"moder.php?$sd\">Продолжить!</a>]<br/>";

break;

case 'tradeip':

$name=htmlspecialchars(stripslashes($name));

echo "Причина бана по ip:";
echo "<form action=\"admin.php?$sd&go=tradeipban&name=$name\" method=\"post\"><b>- - -</b>";
echo "<br/><input name=\"prichina\" maxlength=\"500\" title=\"go\"/><br/><input type=\"hidden\" name=\"self\" value=\"$(prichina)\" />";

echo "<input type=\"submit\" value=\"Забанить\"/></form>";

break;
case 'tradeipban':
$name=htmlspecialchars(stripslashes($name));
$file=@file("MySql/base123/trade.dat");
$file = array_reverse($file);
for($i=0; $i<$file; $i++){
$data = explode("#",$file[$i]);

if($name==$data[1]){
$ip=explode(".",$data[3]);

$ipn="$ip[0].$ip[1].$ip[2]";
$time=time();

$prichina=htmlspecialchars(stripslashes($prichina));
$prichina=str_replace("|","",$prichina);
$name=str_replace("|","",$name);
$text="$ipn||$time||$name||$prichina||$data[0]||";

$fp=fopen("MySql/base123/ban.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

echo"$name забанен на 24 часа.<br/>[<a href=\"admin.php?$sd&go=tradechat\">Продолжить</a>]<br/>";

/////////////////////////
//$browe=opera;
//$ipe=127.1.1.1);

$msg="$name забанен на 24 часа! Администратором: $log. Причина: $prichina ";


$msg=htmlspecialchars(stripslashes($msg));
$msg=str_replace("#","",$msg);

$date=date("d.m.y");
$time=date("H:i");


$text="($time)<br/><b><u>$msg</u></b>#[Система]#Nokia8800#127.0.0.1#$date#$time";
$text=str_replace("\r\n", "", $text);


$fp=fopen("MySql/base123/trade.dat","a+");
flock ($fp,LOCK_EX);
fputs($fp,"$text\r\n");
flock ($fp,LOCK_UN);
fclose($fp);
$file=file("MySql/base123/trade.dat"); $i = count($file);
if ($i>=1000) {
$fp=fopen("MySql/base123/trade.dat","w");
flock ($fp,LOCK_EX);
unset($file[0]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);
}
////////////////////////
exit;}
}
break;

case 'sendopen':
echo "<form action=\"admin.php?$sd&go=sendopeng\" method=\"post\">";
echo "<small>Введите ник игрока:</small><br/>";
echo "<input name=\"login\" maxlength=\"50\" title=\"nick\"/><br/>";
echo '<input type="submit" value="Открыть почту"/></form>';

break;
case 'sendopeng':
$login=$_POST['login'];
if(!@file("MySql/base123/reg/$login.dat")){echo"Такой игрок не существует!"; include_once"include/down.php"; exit; }
if(!@file("MySql/base123/sendclose/$login.dat")){echo"У игрока $login почта открыта!"; include_once"include/down.php"; exit; }
@unlink ("MySql/base123/sendclose/$login.dat");
echo"Почта игрока $login успешно открыта";
break;
case 'say':
$nick = str_replace("$nick","$nick, ",$nick);
echo "<b>Добавление сообщения</b><br/>

<form action=\"admin.php?$sd&go=chatadd\" method=\"post\" name=\"REPLIER\"><b>Имя</b> $nick<br/>
<b>Сообщение</b><br/>
<textarea cols=\"30\" rows=\"5\" name=\"msg\">$nick</textarea><br/><br/>
<input type=\"submit\" value=\"написать\"></form>";
break;
case 'tradesay':
$nick = str_replace("$nick","$nick, ",$nick);
echo "<b>Добавление сообщения</b><br/>

<form action=\"admin.php?$sd&go=tradeadd\" method=\"post\" name=\"REPLIER\"><b>Имя</b> $nick<br/>
<b>Сообщение</b><br/>
<textarea cols=\"30\" rows=\"5\" name=\"msg\">$nick</textarea><br/><br/>
<input type=\"submit\" value=\"написать\"></form>";
break;
case 'modersay':
$nick = str_replace("$nick","$nick, ",$nick);
echo "<b>Добавление сообщения</b><br/>

<form action=\"admin.php?$sd&go=moderchatadd\" method=\"post\" name=\"REPLIER\"><b>Имя</b> $nick<br/>
<b>Сообщение</b><br/>
<textarea cols=\"30\" rows=\"5\" name=\"msg\">$nick</textarea><br/><br/>
<input type=\"submit\" value=\"написать\"></form>";
break;
case 'delmsgchat':
$time=time()-3600;
$dir = opendir ("MySql/base123");
while ($file = readdir ($dir))
{
if (( $file != ".") && ($file != "..")){

$file2=@file("MySql/base123/chat.dat");
$GLOBALS[total]=count($file2);

$GLOBALS[all]=$GLOBALS[all]+$GLOBALS[total];
@unlink ("MySql/base123/chat.dat");

}

}

if($GLOBALS[all]==""){$GLOBALS[all]="0";}

echo"Удалено: $GLOBALS[all] сообщений.";

$msg="Чат был полностю очищен Администратор: $log.";


$msg=htmlspecialchars(stripslashes($msg));
$msg=str_replace("#","",$msg);

$date=date("d.m.y");
$time=date("H:i");


$text="($time)<br/><b>$msg</b>#[Система]#Nokia8800#127.0.0.1#$date#$time";
$text=str_replace("\r\n", "", $text);


$fp=fopen("MySql/base123/chat.dat","a+");
flock ($fp,LOCK_EX);
fputs($fp,"$text\r\n");
flock ($fp,LOCK_UN);
fclose($fp);
break;


case 'viewm':
echo 'Почта персонажей<br/>';
echo '<form method="post" action="admin.php?'.$sd.'&go=viewmail">';
echo 'Ник:<br />';
echo '<input type="log" name="nickname" /><br />';
echo '<input type="submit" class="button" value="Повтыкать" />';
echo '</form>';
break;
case 'viewmail':

if(@file("MySql/base123/sendclose/$nickname.dat")){echo"Нельзя просматривать личные сообщения игроков которые себе закрыли почту."; include_once"include/down.php"; exit;}
echo'<b>Архив почты '.$nickname.'</b><br/>';
if (@file_exists("MySql/base123/msg/$nickname.msg")){
$file = @file("MySql/base123/msg/$nickname.msg");
$file = array_reverse($file);
$total = count($file);
$maxi=$total-1;
if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + 35){ $end = $total; }
else {$end = $start + 35; }
for ($i = $start; $i < $end; $i++){
$file = @file("MySql/base123/msg/$nickname.msg");
$file = array_reverse($file);
$data = explode(":::",$file[$i]);
$i2=round($i+1);
$data[1] = str_replace("\r\n","",$data[1]);
$num=$total-$i;
$num=$num-1;
$udats = explode("|",$data[1]);
$loginin=trim($udats[0]);
$pismo=trim($udats[1]);
$pismo=base64_decode($pismo);
$dats=trim($udats[2]);
$infip=trim($udats[3]);
$loginin = htmlspecialchars(stripslashes($loginin));
$pismo = stripslashes($pismo);
print '[<a href="search.php?'.$sd.'&nick='.$loginin.'&go=go"><b>'.$loginin.'</b></a>] ('.$dats.')<br/>';
echo "$pismo.";
if(!empty($infip)){
echo'<br />['.$infip.']<br/>';} }
if($total==0){echo'<br/>У вас нет писем.';}
$rand=rand(1000,9999);}else {echo "Нет у него почты мля!!!<br/>";}
break;
case 'ali':
echo "<form action=\"admin.php?$sd&go=delali\" method=\"post\">";
echo "<small>Введите ник главы альянса:</small><br/>";
echo "<input name=\"login\" maxlength=\"50\" title=\"nick\"/><br/>";
echo '<input type="submit" value="Удалить альянс"/></form>';

break;
case 'delali':
$login=$_POST['login'];
if(!@file("MySql/base123/ali/$login.dat")){echo"Такой альянс не существует!"; include_once"include/down.php"; exit; }
@unlink ("MySql/base123/ali/$login.dat");
@unlink ("MySql/base123/ali/bank/$login.dat");
@unlink ("MySql/base123/ali/chat/$login.dat");
@unlink ("MySql/base123/ali/clans/$login.dat");
@unlink ("MySql/base123/ali/desk/$login.dat");
@unlink ("MySql/base123/ali/logs/$login.dat");
@unlink ("MySql/base123/ali/names/$login.dat");
@unlink ("MySql/base123/ali/site/$login.dat");
@unlink ("MySql/base123/ali/tmp/$login.dat");
echo"Альянс игрока $login успешно удалён";
break;
case 'stat':
echo "<form action=\"admin.php?$sd&go=savestat\" method=\"post\">";
echo "Введите ник игрока (Главы клана):<br/>";
echo "<input name=\"nick\" maxlength=\"50\" title=\"nick\"/><br/>";
echo "Звание:<br/>";
echo "<input name=\"statusus\" maxlength=\"100\"/><br/>";
echo '<input type="submit" value="Изменить"/></form>';
break;
case 'savestat':
if(!@file("MySql/base123/reg/$nick.dat")){echo"Такого игрока нет."; include_once"include/down.php"; exit; }

if(@file("MySql/base123/clan/$nick.dat")){

$text = @file("MySql/base123/clan/$nick.dat");
$data = explode(":||:",$text[0]);
$nick=$_POST['nick'];
$statusus=$_POST['statusus'];
$text=$nick.':||:'.$statusus.':||:';
$fp=fopen("MySql/base123/clan/status/$nick.dat","w");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
echo"Вы успешно присвоили игроку $nick звание:<br/> $statusus"; include_once"include/down.php"; exit; }
echo'Игрок не глава клана.<br/>';include_once"include/down.php"; exit;
break;

case 'tradedelmsgchat':
$time=time()-3600;

$dir = opendir ("MySql/base123");
while ($file = readdir ($dir))
{
if (( $file != ".") && ($file != "..")){

$file2=@file("MySql/base123/chat.dat");
$GLOBALS[total]=count($file2);

$GLOBALS[all]=$GLOBALS[all]+$GLOBALS[total];

@unlink ("MySql/base123/trade.dat");

}

}

if($GLOBALS[all]==""){$GLOBALS[all]="0";}

echo"<small>Удалено: $GLOBALS[all] сообщений.</small>";

$msg="Торговый чат был полностю очищен Администратором: $log.";


$msg=htmlspecialchars(stripslashes($msg));
$msg=str_replace("#","",$msg);

$date=date("d.m.y");
$time=date("H:i");


$text="($time)<br/><b><u>$msg</u></b>#[Система]#Nokia8800#127.0.0.1#$date#$time";
$text=str_replace("\r\n", "", $text);


$fp=fopen("MySql/base123/trade.dat","a+");
flock ($fp,LOCK_EX);
fputs($fp,"$text\r\n");
flock ($fp,LOCK_UN);
fclose($fp);
break;

case 'delbrak':
echo "<form action=\"admin.php?$sd&go=delbrakk\" method=\"post\">";
echo "Введите ник Мужчины:<br/>";
echo "<input name=\"login\" maxlength=\"50\" title=\"nick\"/><br/>";
echo "Введите ник Жены:<br/>";
echo "<input name=\"zena\" maxlength=\"50\" title=\"nick\"/><br/>";
echo '<input type="submit" value="Развести пару"/></form>';

break;
case 'delbrakk':
$login=$_POST['login'];
$zena=$_POST['zena'];
if(empty($login)){echo"Вы не ввели ник Мужчины"; include'include/down.php'; exit;}
if(empty($zena)){echo"Вы не ввели ник Жены"; include'include/down.php'; exit;}
if(!@file("local/datacharch/wedding/$login.dat")){echo"$login<br/>Этот мужчина не в браке"; include_once"include/down.php"; exit; }
if(!@file("local/datacharch/wedding/$zena.dat")){echo"$zena<br/>Эта жена не в браке"; include_once"include/down.php"; exit; }
@unlink ("local/datacharch/wedding/$login.dat");
@unlink ("local/datacharch/wedding/$zena.dat");
@unlink ("local/datacharch/weddingok/$login.dat");
@unlink ("local/datacharch/weddingok/$zena.dat");
echo"Брак $login и $zena успешно разорван";
break;
case 'failuzer':
$file1 = file("MySql/base123/who.dat");
$total1 = count($file1);

$time=time()-600;
$gde=$_SERVER['SCRIPT_NAME'];
for ($i = 0; $i < $total1; $i++){
$file2 = @file("MySql/base123/who.dat");
$data2 = explode("|",$file2[$i]);


$data2[0]=htmlspecialchars(addslashes(stripslashes($data2[0])));


if($data2[1] && $data2[2]>$time){

echo "Ник: $data2[0]<br/>
Файл: <u>$data2[1]</u><br/><hr/> ";
}



}
break;
case 'medal':
echo 'Наградить';
echo '<form method="post" action="admin.php?'.$sd.'&go=givemedal">';
echo 'Ник:<br/>';
echo '<input type="log" name="name" /><br />';
echo 'Медаль:<br/>';
echo '<select id="select" name="medal">';
echo '<option value="elita">elita</option>';
echo '<option value="brave">за отвагу</option>';
echo '<option value="redhart">red hart</option>';
echo '<option value="krest">крестоносец</option>';
echo '<option value="gold">gold user</option>';
echo '<option value="testor">testor</option>
</select><br/>';
echo '<input type="submit" class="button" value="Наградить" />';
echo '<postfield name="name" value="$(name)"/>';
echo '<postfield name="medal" value="$(medal)"/>';
echo '</form>';
echo '<a href="admin.php?'.$sd.'&go=medallist">Список наград</a><br/>';
echo"<a href=\"admin.php?$sd\">В админку</a>";
break;

case 'givemedal':
include_once("include/functions.php");
$name=check($name);
$medal=check($medal);
$date = date("d.m.Y");
$name=htmlspecialchars(stripslashes($name));
$fp=fopen("local/datamedal/$medal/$name.dat","w");
flock($fp,LOCK_EX);
fputs($fp,"$log||$date||");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
//////////////// adding news //////////////////////
$date=date("d.m.y");
$tex="Наши медалисты||$date||Сегодня $name был награжден медалью $medal. Поздравим его!<br/><b>Разместил:</b> <font color=\"#ADFF2F\">Система</font>";
$fp=@fopen("MySql/base123/novs.dat","a+");
flock ($fp,LOCK_EX);
fputs($fp,"$tex\r\n");
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);
echo 'Игрок '.$name.' награжден администратором '.$log.'!
<b>Дата : </b>'.$date.'<br/>
<b>Медаль :</b> '.$medal.'<br/>
<a href="bs.php?'.$sd.'">В админку</a>';
break;

case 'medallist':
echo'Список наград';
echo'<b>за отвагу</b><br />';
$dir = opendir ("local/datamedal/brave");
while ($file = readdir ($dir))
{
if (( $file != ".") and ($file != ".."))
{
$id=str_replace(".dat","",$file);
$text = @file("local/datamedal/brave/$file");
$data = explode("||",$text[0]);
echo ''.$id.' [<a href="admin.php?'.$sd.'&go=takemedal&id='.$id.'&razd=brave">del</a>]<br/>';
}}
echo'<b>testor</b><br />';
$dirt = opendir ("local/datamedal/testor");
while ($file = readdir ($dirt))
{
if (( $file != ".") and ($file != ".."))
{
$id=str_replace(".dat","",$file);
$text = @file("local/datamedal/testor/$file");
$data = explode("||",$text[0]);
echo ''.$id.' [<a href="admin.php?'.$sd.'&go=takemedal&id='.$id.'&razd=testor">del</a>]<br/>';
}}
echo'<b>red hart</b><br/>';
$dirt = opendir ("local/datamedal/redhart");
while ($file = readdir ($dirt))
{
if (( $file != ".") and ($file != ".."))
{
$id=str_replace(".dat","",$file);
$text = @file("local/datamedal/redhart/$file");
$data = explode("||",$text[0]);
echo '[<a href="admin.php?'.$sd.'&go=takemedal&id='.$id.'&razd=redhart">del</a>]<br/>';
}}
echo'<a href=admin.php?'.$sd.'&go=medallist2>дале</a><br />';
echo''.$img2.'<a href=admin.php?'.$sd.'>назад</a>';
break;

case 'medallist2':
echo'Список наград';
echo'<b>gold user</b><br/>';
$dir = opendir ("local/datamedal/gold");
while ($file = readdir ($dir))
{
if (( $file != ".") and ($file != ".."))
{
$id=str_replace(".dat","",$file);
$text = @file("local/datamedal/gold/$file");
$data = explode("||",$text[0]);
echo ''.$id.' [<a href="admin.php?'.$sd.'&go=takemedal&id='.$id.'&razd=gold">del</a>]<br/>';
}}
echo'<b>elita</b><br/>';
$dirt = opendir ("local/datamedal/elita");
while ($file = readdir ($dirt))
{
if (( $file != ".") and ($file != ".."))
{
$id=str_replace(".dat","",$file);
$text = @file("local/datamedal/elita/$file");
$data = explode("||",$text[0]);
echo ''.$id.' [<a href="admin.php?'.$sd.'&go=takemedal&id='.$id.'&razd=elita">del</a>]<br/>';
}}
echo'<b>крестоносец</b><br />';
$dirt = opendir ("local/datamedal/krest");
while ($file = readdir ($dirt))
{
if (( $file != ".") and ($file != ".."))
{
$id=str_replace(".dat","",$file);
$text = @file("local/datamedal/krest/$file");
$data = explode("||",$text[0]);
echo '[<a href="admin.php?'.$sd.'&go=takemedal&id='.$id.'&razd=krest">del</a>]<br/>';
}}
echo'</div>';
echo'<a href=admin.php?'.$sd.'&go=medallist>назад</a><br/>';
echo'<a href=admin.php?'.$sd.'>назад</a>';
break;

case 'takemedal':
///////////////////////////////////////
include_once("include/functions.php");
///////////////////////////////////////
$time=time()-3600;
$dir = opendir ("local/datamedal/$razd");
while ($file = readdir ($dir))
{
if (( $file != ".") && ($file != "..")){
$file2=@file("local/datamedal/$razd/$id.dat");
$GLOBALS[total]=count($file2);
$GLOBALS[all]=$GLOBALS[all]+$GLOBALS[total];
@unlink ("local/datamedal/$razd/$id.dat");
}}
echo"<b>$name</b> лишен медали.<br/><a href=\"bs.php?$sd&go=medallist\">назад</a>";
break;

case 'helpcenter':
echo'<b>Help Center</b><br/>';
if (@file_exists("MySql/base123/helpcenter/help.msg")){
$file = @file("MySql/base123/helpcenter/help.msg");
$file = array_reverse($file);
$total = count($file);
$maxi=$total-1;
if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + 35){ $end = $total; }
else {$end = $start + 35; }
for ($i = $start; $i < $end; $i++){
$file = @file("MySql/base123/helpcenter/help.msg");
$file = array_reverse($file);
$data = explode(":::",$file[$i]);
$i2=round($i+1);
$data[1] = str_replace("\r\n","",$data[1]);
$num=$total-$i;
$num=$num-1;
$udats = explode("|",$data[1]);
$loginin=trim($udats[0]);
$pismo=trim($udats[1]);
$pismo=base64_decode($pismo);
$dats=trim($udats[2]);
$infip=trim($udats[3]);
$loginin = htmlspecialchars(stripslashes($loginin));
$pismo = stripslashes($pismo);
print '<a href="search.php?'.$sd.'&nick='.$loginin.'&go=go"><b>'.$loginin.'</b></a> ('.$dats.')<br/>';
echo "$pismo.";
if(!empty($infip)){
echo'<br />['.$infip.']';}
echo'<br /><a href="privat.php?go=send&uzer=' . $loginin . '&' . $sd .'">Ответить</a><br/>'; }
if ($start != 0) {echo '<a href="privat.php?start='.($start - 35).'&'.$sd.'">Назад</a><br/> ';}
if ($total > $start + 35) {echo ' <a href="privat.php?start='.($start + 35).'&'.$sd.'">Далее</a><br/>';}
if($total==0){echo'<br/>У вас нет писем.';}
$rand=rand(1000,9999);}else {echo "Нет почты!!!<br/>";}
echo'<b><a href="admin.php?go=cleanhelp&'.$sd.'">Очистить</a><br />';
echo''.$img2.'<b><a href="bspanel.php?'.$sd.'">В админку</a><br />';
break;
case 'cleanhelp':
echo'<b>Результат очистки</b><br/>';
$text="";
$fp=fopen("MySql/base123/helpcenter/help.msg","w");
flock ($fp,LOCK_EX);
fputs($fp,"$text");
flock ($fp,LOCK_UN);
fclose($fp);
echo'<font color="lime">OK</font>';
break;
case 'izmenit':

echo "<form action=\"admin.php?$sd&go=profilizmenit\" method=\"post\"><small>Логин:</small><br/>";
echo "<input name=\"logi\" type=\"text\" maxlength=\"100\" title=\"nick\"/><br/>";
echo '<input type="submit" value="OK" /></form>';

break;
case 'profilizmenit':
$logi=$_POST['logi'];
$text = @file("MySql/base123/reg/$logi.dat");
$udata = explode(":||:",$text[0]);
$aden=trim($udata[8]);
$exp=trim($udata[19]);
$pol=trim($udata[2]);
$lvl=trim($udata[9]);
$sp=trim($udata[31]);
$lovk=trim($udata[3]);
$profa=trim($udata[33]);
$email=trim($udata[18]);
$met=trim($udata[4]);
$hp=trim($udata[17]);
$mp=trim($udata[30]);
$paty=trim($udata[25]);
$clan=trim($udata[23]);
$akad=trim($udata[100]);
$ignor=trim($udata[36]);
$klass=trim($udata[27]);
$rassa=trim($udata[26]);
$magzah=trim($udata[99]);
$kol=trim($udata[14]);
$postu=trim($udata[100]);
$o4=trim($udata[97]);
$o4pas=trim($udata[66]);
echo "<form action=\"admin.php?$sd&go=izmenitsave\" method=\"post\">";
echo "<small>Уровень:</small><br/>";
echo "<input type=\"hidden\" name=\"login\" value=\"".$logi."\">";
echo "<input name=\"lvl\" maxlength=\"100\" value=\"$lvl\"/><br/>";
echo "<small>Деньги:</small><br/>";
echo "<input name=\"aden\" maxlength=\"10\" value=\"$aden\"/><br/>";
echo "<small>Coin of Luck:</small><br/>";
echo "<input name=\"kol\" maxlength=\"10\" value=\"$kol\"/><br/>";
echo "<small>Посты:</small><br/>";
echo "<input name=\"postu\" maxlength=\"10\" value=\"$postu\"/><br/>";
echo "<small>Очки навыков:</small><br/>";
echo "<input name=\"o4\" maxlength=\"10\" value=\"$o4\"/><br/>";
echo "<small>Очки пассивных навыков:</small><br/>";
echo "<input name=\"o4pas\" maxlength=\"10\" value=\"$o4pas\"/><br/>";
echo "<small>Опыт:</small><br/>";
echo "<input name=\"exp\" maxlength=\"130\" value=\"$exp\"/><br/>";
echo "<small>SP:</small><br/>";
echo "<input name=\"sp\" maxlength=\"100\" value=\"$sp\"/><br/>";
echo "<small>Ловкость:</small><br/>";
echo "<input name=\"lovk\" maxlength=\"100\" value=\"$lovk\"/><br/>";
echo "<small>Маг Защита:</small><br/>";
echo "<input name=\"magzah\" maxlength=\"100\" value=\"$magzah\"/><br/>";
echo "<small>Меткость:</small><br/>";
echo "<input name=\"met\" maxlength=\"100\" value=\"$met\"/><br/>";
echo "<small>HP:</small><br/>";
echo "<input name=\"hp\" maxlength=\"100\" value=\"$hp\"/><br/>";
echo "<small>MP:</small><br/>";
echo "<input name=\"mp\" maxlength=\"100\" value=\"$mp\"/><br/>";
echo "<small>Мыло:</small><br/>";
echo "<input name=\"email\" maxlength=\"100\" value=\"$email\"/><br/>";
echo "<small>Профа:</small><br/>";
echo "<input name=\"profa\" maxlength=\"100\" value=\"$profa\"/><br/>";
echo "<small>Пати:</small><br/>";
echo "<input name=\"paty\" maxlength=\"100\" value=\"$paty\"/><br/>";
echo "<small>Клан:</small><br/>";
echo "<input name=\"clan\" maxlength=\"100\" value=\"$clan\"/><br/>";
echo "<small>Академия:</small><br/>";
echo "<input name=\"akad\" maxlength=\"100\" value=\"$akad\"/><br/>";
echo "<small>Пол (Ж,M(англ):</small><br/>";
echo "<input name=\"pol\" maxlength=\"100\" value=\"$pol\"/><br/>";
echo "<small>Класс (wizard,fighert):</small><br/>";
echo "<input name=\"klass\" maxlength=\"100\" value=\"$klass\"/><br/>";
echo "<small>Расса (elf,darkelf,gnom,human,orc,kamael):</small><br/>";
echo "<input name=\"rassa\" maxlength=\"100\" value=\"$rassa\"/><br/>";
echo '<input type="hidden" value="'.$logi.'">';
echo '<input type="submit" value="Изменить"/></form>';
break;
case 'izmenitsave':

$login=$_POST['login'];

$fal = @file("MySql/base123/reg/$login.dat");
$uda = explode(":||:",$fal[0]);

$uda[2]=$_POST['pol'];
$sp=$_POST['sp'];
$aden=$_POST['aden'];
$lvl=$_POST['lvl'];
$uda[19]=$_POST['exp'];
$uda[3]=$_POST['lovk'];
$uda[4]=$_POST['met'];
$uda[17]=$_POST['hp'];
$uda[30]=$_POST['mp'];
$uda[25]=$_POST['paty'];
$uda[23]=$_POST['clan'];
$uda[100]=$_POST['akad'];
$uda[36]=$_POST['ignor'];
$uda[18]=$_POST['email'];
$uda[33]=$_POST['profa'];
$uda[27]=$_POST['klass'];
$uda[26]=$_POST['rassa'];
$uda[99]=$_POST['magzah'];
$uda[100]=$_POST['postu'];
$uda[14]=$_POST['kol'];
$uda[97]=$_POST['o4'];
$uda[66]=$_POST['o4pas'];
$t=$uda[0].':||:'.$uda[1].':||:'.$uda[2].':||:'.$uda[3].':||:'.$uda[4].':||:'.$uda[5].':||:'.$uda[6].':||:'.$uda[7].':||:'.$aden.':||:'.$lvl.':||:'.$uda[10].':||:'.$uda[11].':||:'.$uda[12].':||:'.$uda[13].':||:'.$uda[14].':||:'.$uda[15].':||:'.$uda[16].':||:'.$uda[17].':||:'.$uda[18].':||:'.$uda[19].':||:'.$uda[20].':||:'.$uda[21].':||:'.$uda[22].':||:'.$uda[23].':||:'.$uda[24].':||:'.$uda[25].':||:'.$uda[26].':||:'.$uda[27].':||:'.$uda[28].':||:'.$uda[29].':||:'.$uda[30].':||:'.$sp.':||:'.$uda[32].':||:'.$uda[33].':||:'.$uda[34].':||:'.$uda[35].':||:'.$uda[36].':||:'.$uda[37].':||:'.$uda[38].':||:'.$uda[39].':||:'.$uda[40].':||:'.$uda[41].':||:'.$uda[42].':||:'.$uda[43].':||:'.$uda[44].':||:'.$uda[45].':||:'.$uda[46].':||:'.$uda[47].':||:'.$uda[48].':||:'.$uda[49].':||:'.$uda[50].':||:'.$uda[51].':||:'.$uda[52].':||:'.$uda[53].':||:'.$uda[54].':||:'.$uda[55].':||:'.$uda[56].':||:'.$uda[57].':||:'.$uda[58].':||:'.$uda[59].':||:'.$uda[60].':||:'.$uda[61].':||:'.$uda[62].':||:'.$uda[63].':||:'.$uda[64].':||:'.$uda[65].':||:'.$uda[66].':||:'.$uda[67].':||:'.$uda[68].':||:'.$uda[69].':||:'.$uda[70].':||:'.$uda[71].':||:'.$uda[72].':||:'.$uda[73].':||:'.$uda[74].':||:'.$uda[75].':||:'.$uda[76].':||:'.$uda[77].':||:'.$uda[78].':||:'.$uda[79].':||:'.$uda[80].':||:'.$uda[81].':||:'.$uda[82].':||:'.$uda[83].':||:'.$uda[84].':||:'.$uda[85].':||:'.$uda[86].':||:'.$uda[87].':||:'.$uda[88].':||:'.$uda[89].':||:'.$uda[90].':||:'.$uda[91].':||:'.$uda[92].':||:'.$uda[93].':||:'.$uda[94].':||:'.$uda[95].':||:'.$uda[96].':||:'.$uda[97].':||:'.$uda[98].':||:'.$uda[99].':||:'.$uda[100].':||:'.$uda[101].':||:';

$fp=fopen("MySql/base123/reg/$login.dat","w");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$t");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

echo"Профиль $login изменен!";

break;
case 'vip':
echo "<form action=\"admin.php?$sd&go=vipadd\" method=\"post\">";
echo "Введите ник игрока:<br/>";
echo "<input name=\"nick\" maxlength=\"50\" title=\"nick\"/><br/>";
echo '<input type="submit" value="Дать VIP акаунт"/></form>';
echo"<br/>[<a href=\"admin.php?$sd&go=vipspisok\">Список Акаунтов</a>]";
break;

case 'vipadd':
$data=date("d F, Y", time());
$time=date("H:i:s", time());
$data = str_replace("January","января",$data);
$data = str_replace("February","февраля",$data);
$data = str_replace("March","марта",$data);
$data = str_replace("April","апреля",$data);
$data = str_replace("May","мая",$data);
$data = str_replace("June","июня",$data);
$data = str_replace("July","июля",$data);
$data = str_replace("August","августа",$data);
$data = str_replace("September","сентября",$data);
$data = str_replace("October","октября",$data);
$data = str_replace("November","ноября",$data);
$data = str_replace("December","декабря",$data);
$query = "INSERT INTO table_vip VALUES('$nick','$data')";
$result = mysql_query($query);
echo ''.$nick.' успешно получил VIP акаунт';
break;
case 'vipspisok':
echo'Список Акаунтов<br/>';
$data = mysql_query("SELECT * FROM table_vip");
while($dat = mysql_fetch_array( $data ))
{
echo"Ник: <b><a href=\"admin.php?$sd&nick=".$dat['nick']."&go=vipdel\">".$dat['nick']."</a> ".$dat['time']."</b><br/>";
}
break;
case 'vipdel':
mysql_query("DELETE FROM `table_vip` WHERE `nick`='".$nick."'");
echo"Акаунт $nick остался без VIP акаунта.";
break;
case 'podarok':
echo "<form action=\"admin.php?$sd&go=podarok2\" method=\"post\">Сколько аден:<br/>";
echo "<input name=\"kol\" maxlength=\"100\" title=\"kol\"/><br/>";
echo "Письмо с рассылкой:<br/>";
echo "<input name=\"msg\" maxlength=\"999\" title=\"msg\"/><br/>";

echo '<input type="submit" value="Отправить" /></form>';
break;
case 'podarok2':
$fdir = opendir('MySql/base123/reg/');
while($file = readdir($fdir)){

if ($file != '.' and $file != '..'){
$file=str_replace(".dat","",$file);
$fal = @file("MySql/base123/reg/$file.dat");
$uda = explode(":||:",$fal[0]);

$uda[8]=$uda[8]+$_POST[kol];

$t=$uda[0].':||:'.$uda[1].':||:'.$uda[2].':||:'.$uda[3].':||:'.$uda[4].':||:'.$uda[5].':||:'.$uda[6].':||:'.$uda[7].':||:'.$uda[8].':||:'.$uda[9].':||:'.$uda[10].':||:'.$uda[11].':||:'.$uda[12].':||:'.$uda[13].':||:'.$uda[14].':||:'.$uda[15].':||:'.$uda[16].':||:'.$uda[17].':||:'.$uda[18].':||:'.$uda[19].':||:'.$uda[20].':||:'.$uda[21].':||:1:||:'.$uda[23].':||:'.$uda[24].':||:'.$uda[25].':||:'.$uda[26].':||:'.$uda[27].':||:'.$uda[28].':||:'.$uda[29].':||:'.$uda[30].':||:'.$uda[31].':||:'.$uda[32].':||:'.$uda[33].':||:'.$uda[34].':||:'.$uda[35].':||:'.$uda[36].':||:'.$uda[37].':||:'.$uda[38].':||:'.$uda[39].':||:'.$uda[40].':||:'.$uda[41].':||:'.$uda[42].':||:'.$uda[43].':||:'.$uda[44].':||:'.$uda[45].':||:'.$uda[46].':||:'.$uda[47].':||:'.$uda[48].':||:'.$uda[49].':||:'.$uda[50].':||:'.$uda[51].':||:'.$uda[52].':||:'.$uda[53].':||:'.$uda[54].':||:'.$uda[55].':||:'.$uda[56].':||:'.$uda[57].':||:'.$uda[58].':||:'.$uda[59].':||:'.$uda[60].':||:'.$uda[61].':||:'.$uda[62].':||:'.$uda[63].':||:'.$uda[64].':||:'.$uda[65].':||:'.$uda[66].':||:'.$uda[67].':||:'.$uda[68].':||:'.$uda[69].':||:'.$uda[70].':||:'.$uda[71].':||:'.$uda[72].':||:'.$uda[73].':||:'.$uda[74].':||:'.$uda[75].':||:'.$uda[76].':||:'.$uda[77].':||:'.$uda[78].':||:'.$uda[79].':||:'.$uda[80].':||:'.$uda[81].':||:'.$uda[82].':||:'.$uda[83].':||:'.$uda[84].':||:'.$uda[85].':||:'.$uda[86].':||:'.$uda[87].':||:'.$uda[88].':||:'.$uda[89].':||:'.$uda[90].':||:'.$uda[91].':||:'.$uda[92].':||:'.$uda[93].':||:'.$uda[94].':||:'.$uda[95].':||:'.$uda[96].':||:'.$uda[97].':||:'.$uda[98].':||:'.$uda[99].':||:'.$uda[100].':||:'.$uda[101].':||:';

$fp=fopen("MySql/base123/reg/$file.dat","w");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$t");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

$currHour=date("H",time());
$currDate=date("d F, Y", time());
$currTime=date("$currHour:i:s", time());
$currDate = str_replace("January","января",$currDate);
$currDate = str_replace("February","февраля",$currDate);
$currDate = str_replace("March","марта",$currDate);
$currDate = str_replace("April","апреля",$currDate);
$currDate = str_replace("May","мая",$currDate);
$currDate = str_replace("June","июня",$currDate);
$currDate = str_replace("July","июля",$currDate);
$currDate = str_replace("August","августа",$currDate);
$currDate = str_replace("September","сентября",$currDate);
$currDate = str_replace("October","октября",$currDate);
$currDate = str_replace("November","ноября",$currDate);
$currDate = str_replace("December","декабря",$currDate);

$msg=base64_encode($_POST[msg]);
$tex=":::$log|$msg|$currDate $currTime";

$fp=@fopen("MySql/base123/msg/$file.msg","a+");
flock ($fp,LOCK_EX);
fputs($fp,"$tex\r\n");
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);

}}

echo"Поздравление отправлено!";
break;

case 'podarokcol':
echo "<form action=\"admin.php?$sd&go=podarokcol2\" method=\"post\">Сколько Coin of Luck:<br/>";
echo "<input name=\"kol\" maxlength=\"100\" title=\"kol\"/><br/>";
echo "Письмо с рассылкой:<br/>";
echo "<input name=\"msg\" maxlength=\"999\" title=\"msg\"/><br/>";

echo '<input type="submit" value="Отправить" /></form>';
break;
case 'podarokcol2':
$fdir = opendir('MySql/base123/reg/');
while($file = readdir($fdir)){

if ($file != '.' and $file != '..'){
$file=str_replace(".dat","",$file);
$fal = @file("MySql/base123/reg/$file.dat");
$uda = explode(":||:",$fal[0]);

$uda[14]=$uda[14]+$_POST[kol];

$t=$uda[0].':||:'.$uda[1].':||:'.$uda[2].':||:'.$uda[3].':||:'.$uda[4].':||:'.$uda[5].':||:'.$uda[6].':||:'.$uda[7].':||:'.$uda[8].':||:'.$uda[9].':||:'.$uda[10].':||:'.$uda[11].':||:'.$uda[12].':||:'.$uda[13].':||:'.$uda[14].':||:'.$uda[15].':||:'.$uda[16].':||:'.$uda[17].':||:'.$uda[18].':||:'.$uda[19].':||:'.$uda[20].':||:'.$uda[21].':||:1:||:'.$uda[23].':||:'.$uda[24].':||:'.$uda[25].':||:'.$uda[26].':||:'.$uda[27].':||:'.$uda[28].':||:'.$uda[29].':||:'.$uda[30].':||:'.$uda[31].':||:'.$uda[32].':||:'.$uda[33].':||:'.$uda[34].':||:'.$uda[35].':||:'.$uda[36].':||:'.$uda[37].':||:'.$uda[38].':||:'.$uda[39].':||:'.$uda[40].':||:'.$uda[41].':||:'.$uda[42].':||:'.$uda[43].':||:'.$uda[44].':||:'.$uda[45].':||:'.$uda[46].':||:'.$uda[47].':||:'.$uda[48].':||:'.$uda[49].':||:'.$uda[50].':||:'.$uda[51].':||:'.$uda[52].':||:'.$uda[53].':||:'.$uda[54].':||:'.$uda[55].':||:'.$uda[56].':||:'.$uda[57].':||:'.$uda[58].':||:'.$uda[59].':||:'.$uda[60].':||:'.$uda[61].':||:'.$uda[62].':||:'.$uda[63].':||:'.$uda[64].':||:'.$uda[65].':||:'.$uda[66].':||:'.$uda[67].':||:'.$uda[68].':||:'.$uda[69].':||:'.$uda[70].':||:'.$uda[71].':||:'.$uda[72].':||:'.$uda[73].':||:'.$uda[74].':||:'.$uda[75].':||:'.$uda[76].':||:'.$uda[77].':||:'.$uda[78].':||:'.$uda[79].':||:'.$uda[80].':||:'.$uda[81].':||:'.$uda[82].':||:'.$uda[83].':||:'.$uda[84].':||:'.$uda[85].':||:'.$uda[86].':||:'.$uda[87].':||:'.$uda[88].':||:'.$uda[89].':||:'.$uda[90].':||:'.$uda[91].':||:'.$uda[92].':||:'.$uda[93].':||:'.$uda[94].':||:'.$uda[95].':||:'.$uda[96].':||:'.$uda[97].':||:'.$uda[98].':||:'.$uda[99].':||:'.$uda[100].':||:';

$fp=fopen("MySql/base123/reg/$file.dat","w");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$t");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

$currHour=date("H",time());
$currDate=date("d F, Y", time());
$currTime=date("$currHour:i:s", time());
$currDate = str_replace("January","января",$currDate);
$currDate = str_replace("February","февраля",$currDate);
$currDate = str_replace("March","марта",$currDate);
$currDate = str_replace("April","апреля",$currDate);
$currDate = str_replace("May","мая",$currDate);
$currDate = str_replace("June","июня",$currDate);
$currDate = str_replace("July","июля",$currDate);
$currDate = str_replace("August","августа",$currDate);
$currDate = str_replace("September","сентября",$currDate);
$currDate = str_replace("October","октября",$currDate);
$currDate = str_replace("November","ноября",$currDate);
$currDate = str_replace("December","декабря",$currDate);

$msg=base64_encode($_POST[msg]);
$tex=":::$log|$msg|$currDate $currTime";

$fp=@fopen("MySql/base123/msg/$file.msg","a+");
flock ($fp,LOCK_EX);
fputs($fp,"$tex\r\n");
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);

}}

echo"Поздравление отправлено!";
break;
case 'event':
echo "<form action=\"admin.php?$sd&go=addevent\" method=\"post\"><small>Заголовок:</small><br/>";
echo "<input name=\"zag\" maxlength=\"100\" title=\"zag\"/><br/>";
echo "<small>Новость:</small><br/>";
echo "<input name=\"msg\" maxlength=\"999\" title=\"msg\"/><br/>";
echo '<input type="submit" value="OK" /></form>';
break;

case 'addevent':

$date=date("d.m.y");
$time=date("H:i:s");

$tex="$zag||$date/$time||$msg";

$fp=@fopen("MySql/base123/event.dat","a+");
flock ($fp,LOCK_EX);
fputs($fp,"$tex\r\n");
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);
echo"Эвент успешно создана.<br/>
<b>Заголовок:</b><br/>
$zag<br/>
<b>Эвент:</b><br/>
$msg<br/>
<b>Дата:</b><br/>
$date/$time
";
break;


case 'personal':
echo'Администраторы<br/>';
$data = mysql_query("SELECT * FROM table_admin");
while($dat = mysql_fetch_array( $data ))
{
echo '<li>'.$dat['nick'].' [<a href="admin.php?'.$sd.'&go=deladmin&nick='.$dat['nick'].'">del</a>]<br/>';
}
echo 'Назначить администратора<br/>';
echo '<form method="post" action="admin.php?'.$sd.'&go=admin">';
echo 'Ник:<br />';
echo '<input type="log" name="name" /><br/>';
echo '<input type="submit" class="button" value="Назначить" />';
echo '</form>';
echo'Модераторы<br/>';
$data = mysql_query("SELECT * FROM table_moder");
while($dat = mysql_fetch_array( $data ))
{
echo '<li>'.$dat['nick'].' [<a href="admin.php?'.$sd.'&go=delmod&nick='.$dat['nick'].'">del</a>]<br/>';
}
echo 'Назначить модера<br/>';
echo '<form method="post" action="admin.php?'.$sd.'&go=moder">';
echo 'Ник:<br />';
echo '<input type="log" name="name" /><br/>';
echo '<input type="submit" class="button" value="Назначить" />';
echo '</form>';
echo'Консультанты<br/>';
$data = mysql_query("SELECT * FROM table_konsultant");
while($dat = mysql_fetch_array( $data ))
{
echo '<li>'.$dat['nick'].' [<a href="admin.php?'.$sd.'&go=delkons&nick='.$dat['nick'].'">del</a>]<br/>';
}
echo 'Назначить Консультанта<br/>';
echo '<form method="post" action="admin.php?'.$sd.'&go=kons">';
echo 'Ник:<br />';
echo '<input type="log" name="name" /><br/>';
echo '<input type="submit" class="button" value="Назначить" />';
break;
case 'delkons':
///////////////////////////////////////
include_once("include/functions.php");
///////////////////////////////////////
$time=time()-3600;
mysql_query("DELETE FROM `table_konsultant` WHERE `nick`='".$nick."'");
echo'Результат<br/>';
echo'Игрок <b>'.$nick.'<br /> лишен должности.<br />';
break;
case 'kons':
$query = "INSERT INTO table_konsultant VALUES('$name')"; $result = mysql_query($query);
echo'Результат<br/>';
echo'Игрок '.$name.' назначен Консультантом<br/>';
break;
case 'moder':
$query = "INSERT INTO table_moder VALUES('$name')"; $result = mysql_query($query);
echo'Результат<br/>';
echo'Игрок '.$name.' назначен модером<br/>';
break;
case 'admin':
$query = "INSERT INTO table_admin VALUES('$name')"; $result = mysql_query($query);
echo'Результат<br/>';
echo'Игрок '.$name.' назначен администратором<br/>';
break;
case 'delmod':
///////////////////////////////////////
include_once("include/functions.php");
///////////////////////////////////////
$time=time()-3600;
mysql_query("DELETE FROM `table_moder` WHERE `nick`='".$nick."'");
echo'Результат<br/>';
echo'Игрок <b>'.$nick.'<br /> лишен должности.<br />';
break;
case 'deladmin':
///////////////////////////////////////
include_once("include/functions.php");
///////////////////////////////////////
$time=time()-3600;
mysql_query("DELETE FROM `table_admin` WHERE `nick`='".$nick."'");
echo'Результат<br/>';
echo'Игрок <b>'.$nick.'<br /> лишен должности.<br />';
break;
case 'po4ta':
$time=time()-3600;

$dir = opendir ("MySql/base123/msg");
while ($file = readdir ($dir))
{
if (( $file != ".") && ($file != "..")){

$file2=@file("MySql/base123/msg/$file");
$GLOBALS[total]=count($file2);

$GLOBALS[all]=$GLOBALS[all]+$GLOBALS[total];

@unlink ("MySql/base123/msg/$file");

}

}

if($GLOBALS[all]==""){$GLOBALS[all]="0";}
$date=date("d.m.y");
$time=date("H:i:s");


$tex="Почта||$date/$time||Была произведина чистка почты. Удалено: $GLOBALS[all] писем.<br/><b>Разместил:</b> <font color=\"#ADFF2F\">Система</font>";

$fp=@fopen("MySql/base123/novs.dat","a+");
flock ($fp,LOCK_EX);
fputs($fp,"$tex\r\n");
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);
echo"Удалено: $GLOBALS[all] писем.";
break;
case 'bannick':
echo "<form action=\"admin.php?$sd&go=bannicksave\" method=\"post\">";
echo "Введите ник игрока:<br/>";
echo "<input name=\"nick\" maxlength=\"50\" title=\"nick\"/><br/>";
echo "Причина бана:<br/>";
echo "<input name=\"prichina\" maxlength=\"100\"/><br/>";
echo "За какое сообщение:<br/>";
echo "<input name=\"msg\" maxlength=\"100\"/><br/>";
echo '<input type="hidden" value="'.$logi.'">';
echo '<input type="submit" value="Заблокировать"/></form>';
break;
case 'bannicksave':
$text="127.0.0||$time||$nick||$prichina||$msg||";
$fp=fopen("MySql/base123/ban.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

$msg="$nick забанен на 24 часов! Администратором: $log. Причина: $prichina ";
$text="($time)<br/><b><u>$msg</u></b>#[Система]#Nokia8800#127.0.0.1#$date#$time";
$text=str_replace("\r\n", "", $text);


$fp=fopen("MySql/base123/chat.dat","a+");
flock ($fp,LOCK_EX);
fputs($fp,"$text\r\n");
flock ($fp,LOCK_UN);
fclose($fp);
$file=file("MySql/base123/chat.dat"); $i = count($file);
if ($i>=1000) {
$fp=fopen("MySql/base123/chat.dat","w");
flock ($fp,LOCK_EX);
unset($file[0]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);
}
echo"$login забанен на 24 часа.<br/>[<a href=\"admin.php?$sd&go=chat\">Продолжить</a>]<br/>";
break;
case 'keys':
///////////////////////////////////////
echo'Список неактивированых играков<br/>';
$data = mysql_query("SELECT * FROM table_key");
while($dat = mysql_fetch_array( $data ))
{
echo"Ник: <b>".$dat['nick']."</b><br/>Ключ: ".$dat['key']."<br/>[<a href=\"admin.php?$sd&go=rekeys&nick=".$dat['nick']."\">Активировать</a>]<br/><br/>";
}
break;

case 'rekeys':
mysql_query("DELETE FROM `table_key` WHERE `nick`='".$nick."'");
echo"Игрок $nick успешно активирован.";
break;
}
echo"<br/>- - -<br/> <a href=\"admin.php?$sd\">В админ панель</a><br/>";
}else{echo"Вы не Администратор"; include'include/down.php'; exit;}
}else{echo"<small>Пароль или логин неверен!</small>";}
include_once"include/down.php";
?>
